
<div class="container-fluid">
  <div class="row">
    <!--Colonne 1-->
    <div class="mt-2 col-1">
      <a role="button" routerLink="" class="col-1"><img src="assets/open-iconic/svg/back.svg" alt="left arrow" height="25"></a>
    </div>
    <div class="col-5 justify-content-center">
          <div class="row col-12 mt-2 justify-content-center">
            <button type="button" (click)="isConnected?reload():open(warning)" class="btn btn-myprimary" [disabled]="formations.length==0"> Recommencer </button>
          </div>
          <div class="row mb-2 col-12 justify-content-center">
            <h2>Entrer une offre</h2>
          </div>
          <div class="row mb-2 col-12 justify-content-center">
              <input type="text" [(ngModel)]="offerTitle" class="form-control" placeholder="Entrer le nom de l'offre"/>
          </div>
          <div class="row mb-2 col-12 justify-content-center">
              <textarea name="textarea" class="form-control" type="text" rows="15" [(ngModel)]="offerContent" placeholder="Entrer une offre"></textarea>
          </div>
          <div class="row mb-4 col-12 justify-content-center">
              <button type="button" class="btn btn-myprimary" [disabled]="!isValid()||formations.length!=0" (click)="getPrediction()"> Valider </button>
          </div><!--
          <div class="row mb-4 col-12 justify-content-center">
            <div class='hr col-10'>
              <span class='hr-title'>OU</span>
            </div>
          </div>
          <div class="row mb-4 col-12 d-flex justify-content-center">
            <input type="file" class="form-control-file col-8" [(ngModel)]="uploadFileName" (change)="onFileChange($event)"/>
          </div>-->
    </div>
    <!--Colonne 2-->
    <div class="col-6" style="background:#eee">
      <div class="row mt-4 mb-2 col-12 d-flex justify-content-center">
        <h2>Résultats</h2>
      </div>
      <div *ngIf="displayResults" class="row mb-2 col-12 d-flex justify-content-center">
        <ul class="list-group col-10">
          <li *ngFor="let formation of formations"  class="list-group-item d-flex justify-content-between align-items-center">
            {{formation.name}}<br>
            Pourcentage de confiance : {{formation.note}}
            
            <span class="badge badge-light badge-pill"><a role="button" routerLink="/formation/{{formation.id}}" class="btn">Voir</a></span>
          </li>
        </ul>
      </div>
    </div>
  </div>

  <!--Warning-->
  <ng-template #warning let-c="close" let-d="dissmiss">
    <div class="modal-header">
      <h4 class="modal-title">Attention</h4>
      <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
      <div class="alert alert-danger" role="alert">
        Attention vous n'êtes pas connecté, si vous cliquez sur recommencer votre prédiction et votre offre seront effacées !
      </div>
      <div class="modal-footer">
        <div class="row col-12 justify-content-center">
          <button type="button" class="btn btn-outline-myprimary btn-margin-right" (click)="c('')">Annuler</button>
          <button type="button" class="btn btn-mysuccess" (click)="c('');reload()">Recommencer</button>
        </div>
      </div>
    </div>
  </ng-template>

</div>
